<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.permission.mapper.SysRoleMenuResMapper">

  <resultMap id="sysRoleMenuResMap" type="com.yifu.cloud.plus.v1.yifu.permission.entity.SysRoleMenuRes">
    <id property="fdId" column="fd_id"/>
    <result property="roleId" column="role_id"/>
    <result property="menuId" column="menu_id"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.fd_id,
                a.role_id,
                a.menu_id
    </sql>
    <sql id="sysRoleMenuRes_where">
        <if test="sysRoleMenuRes != null">
                    <if test="sysRoleMenuRes.fdId != null and sysRoleMenuRes.fdId.trim() != ''">
                        AND a.fd_id = #{sysRoleMenuRes.fdId}
                    </if>
                    <if test="sysRoleMenuRes.roleId != null and sysRoleMenuRes.roleId.trim() != ''">
                        AND a.role_id = #{sysRoleMenuRes.roleId}
                    </if>
                    <if test="sysRoleMenuRes.menuId != null and sysRoleMenuRes.menuId.trim() != ''">
                        AND a.menu_id = #{sysRoleMenuRes.menuId}
                    </if>
        </if>
    </sql>
    <!--sysRoleMenuRes简单分页查询-->
    <select id="getSysRoleMenuResPage" resultMap="sysRoleMenuResMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM sys_role_menu_res a
        <where>
            1=1
            <include refid="sysRoleMenuRes_where"/>
        </where>
    </select>

	<!-- 根据角色删除关联表 -->
	<delete id="deleteByRoleId">
		delete from sys_role_menu_res where role_id = #{roleId}
	</delete>

</mapper>
